Bug 18006 - "When a document's document base URL changes" - removing a <base> doesn't immediately change the document base URL, since the algo that sets it doesn't run until a URL gets resolved.
"When a document's document base URL changes" - removing a <base> doesn't imm...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 08:00 UTC by contributor
Modified: 2012-09-21 10:20 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 08:00:20 UTC
This was was cloned from bug 15707 as part of operation convergence.
Originally filed: 2012-01-25 10:42:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-01-25 10:42:21 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/urls.html
Multipage: http://www.whatwg.org/C#dynamic-changes-to-base-urls
Complete: http://www.whatwg.org/c#dynamic-changes-to-base-urls

Comment:
"When a document's document base URL changes" - removing a <base> doesn't
immediately change the document base URL, since the algo that sets it doesn't
run until a URL gets resolved.

Posted from: 85.227.157.105 by simonp@opera.com
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_5_8) AppleWebKit/535.16 (KHTML, like Gecko) Chrome/18.0.1003.1 Safari/535.16
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-21 10:20:51 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/142879e7f5c7122cdbfa1f9cced2a8d1b5e2c711
   Rationale: adopted from WHATWG